101

Odp: Instalacja pluginów dla routerów z 4MB flash i USB

U mnie nie działa polecenie: # opkg install --nodeps gargoyle-i18n


root@Gargoyle:~# opkg install --nodeps gargoyle-i18n
opkg: unrecognized option `--nodeps'
gpkg: opkg/ipkg compatible package manager
      written by Eric Bishop

usage: gpkg sub-command [options] [package argument(s)]
where sub-command is one of:

Package Manipulation:
  update                        Update list of available packages
  upgrade [pkgs]                Upgrade packages
  install [pkgs]                Install package(s)
  remove  [pkgs]                Remove package(s)

Informational Commands
  list [pkgs|regexp]            List available packages
  list-installed [pkgs|regexp]  List installed packages
  info [pkgs|regexp]            Display info for packages
  dest-info                     Display info about package destinations

Options:
  --regex,r                     Package argument is a regular expression
                                Only accepted for list/info commands
  --conf,-f [conf_file]         Use <conf_file> as opkg/gpkg configuration file
  --dest,-d [dest_name]         Use <dest_name> as the the root directory for
                                package installation, removal, upgrading
                                <dest_name> should be a defined dest name from
                                the configuration file,
  --link-dest,-l [dest_name]    After installation, symlink files to a
                                differentdestination specified by <dest_name>
  --only-dest,-n [dest_name]    Only display packages installed in <dest_name>
  --tmp-dir,-t   [dir_path]     Specify path of tmp-dir
  --output-format,-o [format]   Specify output format of list/info commands
                                can be 'human-readable', 'json' or 'js'
                                Default is 'human-readable'
  --package-variables,-v [vars] Comma seperated list of package variables
                                to print when info command is called

Force Options:
  --force-depends,-p            Install/remove despite failed dependencies
  --force-maintainer,-m         Overwrite preexisting config files
  --force-reinstall,-e          Reinstall package(s)
  --force-overwrite,-w          Overwrite files from other package(s)
  --autoremove,-a               Remove packages that were installed
                                automatically to satisfy dependencies
  --autoremove-same-dest,-s     Remove packages that were installed
                                automatically to satisfy dependencies
                                only if they were installed to same
                                destination as package being removed
root@Gargoyle:~#

102

Odp: Instalacja pluginów dla routerów z 4MB flash i USB

Nie zainstalowałeś opkg wcześniej. Rób po kolei bo będzie się sypało jak będziesz robił po swojemu.

Masz niepotrzebny router, uszkodzony czy nie - chętnie przygarnę go.

103

Odp: Instalacja pluginów dla routerów z 4MB flash i USB

opkg install nfs-kernel-server
Installing nfs-kernel-server (1.2.6-1) to root...
Downloading http://dl.eko.one.pl/gargoyle-pl/attitu … 1_ar71xipk.
Collected errors:
* satisfy_dependencies_for: Cannot satisfy the following dependencies for nfs-kernel-server:
*      kernel (= 3.3.8-1-d6597ebf6203328d3519ea3c3371a493) *   kernel (= 3.3.8-1-d6597ebf6203328d3519ea3c3371a3) *    kernel (= 3.3.8-1-d6597ebf6203328d3519ea3c3371a493) *   kernel (= 3.3.8-1-d6597ebf6203328d3519ea3c3371a3) *
* opkg_install_cmd: Cannot install package nfs-kernel-server.


pojawił mi się taki błąd - co jest nie tak ?

104

Odp: Instalacja pluginów dla routerów z 4MB flash i USB

Na jakim systemie to instalujesz? Bo to nie są identyfikatory mojego buildu i moich obrazów.

Masz niepotrzebny router, uszkodzony czy nie - chętnie przygarnę go.

105 (edytowany przez gregl 2015-02-14 18:01:07)

Odp: Instalacja pluginów dla routerów z 4MB flash i USB

no na Twoim - z tej strony ściągałem - może coś żle wpisałem ale wszystko robiłem wg instrukcji znalezionej na tej stronie - skąd mogłem wziąć inne obrazy ?

i jeżeli coś źle zrobiłem to jak to poprawić ?

106

Odp: Instalacja pluginów dla routerów z 4MB flash i USB

Pokaż wyniki:

cat /rom/etc/banner
opkg list_installed

Masz niepotrzebny router, uszkodzony czy nie - chętnie przygarnę go.

107

Odp: Instalacja pluginów dla routerów z 4MB flash i USB

oot@RouterLTE:~# cat /rom/etc/banner

             _____                             _
            |  __ \                           | |
            | |  \/ __ _ _ __ __ _  ___  _   _| | ___
            | | __ / _` | '__/ _` |/ _ \| | | | |/ _ \
            | |_\ \ (_| | | | (_| | (_) | |_| | |  __/
             \____/\__,_|_|  \__, |\___/ \__, |_|\___|
                              __/ |       __/ |
                             |___/       |___/

----------------------------------------------------------------
|                                                              |
| Gargoyle PL 1.6.2.2 (b70bfc1)                                |
| OpenWrt Attitude Adjustment 12.09.1 (r42647)                 |
| Build time: 2014-09-27 09:44 CEST                            |
|                                                              |
| Cezary Jackiewicz (obsy), http://eko.one.pl                  |
|                                                              |
----------------------------------------------------------------
root@RouterLTE:~# opkg list_installed
3ginfo-text - 20140608
base-files - 118.2-r42647
block-mount - 0.2.0-9cj
bridge - 1.5-1
busybox - 1.19.4-6
bwmon-gargoyle - 1.6.2.2-1
chat - 2.4.5-10
comgt - 0.32-21cj1
ddns-gargoyle - 1.6.2.2-1
disktype - 9-2
dnsmasq - 2.66-2
dropbear - 2014.65-1
ewget - 1.6.2.2-1
firewall - 2013-06-29
gargoyle - 1.6.2.2-6
gargoyle-firewall-util - 1.6.2.2-1
gargoyle-i18n - 0.2.1-1
gpkg - 1.6.2.2-1
haserl-i18n - 0.9.26-1
hotplug2 - 1.0-beta-4
httpd-gargoyle - 1.6.2.2-1
ip - 3.3.0-2
ipset - 6.11-2
iptables - 1.4.10-5
iptables-mod-bandwidth - 1.4.10-5
iptables-mod-conntrack-extra - 1.4.10-5
iptables-mod-extra - 1.4.10-5
iptables-mod-filter - 1.4.10-5
iptables-mod-imq - 1.4.10-5
iptables-mod-ipopt - 1.4.10-5
iptables-mod-iprange - 1.4.10-5
iptables-mod-ipset - 1.4.10-5
iptables-mod-nat-extra - 1.4.10-5
iptables-mod-timerange - 1.4.10-5
iptables-mod-webmon - 1.4.10-5
iptables-mod-weburl - 1.4.10-5
iw - 3.14-1
jshn - 2013-10-19-734d28eb1a46358743cf8837c91e5d46695c3b91
kernel - 3.3.8-1-3b70fc7d412617eb97c6bdc7d8fb7844
kmod-ath - 3.3.8+2014-05-22-1-3b70fc7d412617eb97c6bdc7d8fb7844
kmod-ath9k - 3.3.8+2014-05-22-1-3b70fc7d412617eb97c6bdc7d8fb7844
kmod-ath9k-common - 3.3.8+2014-05-22-1-3b70fc7d412617eb97c6bdc7d8fb7844
kmod-cfg80211 - 3.3.8+2014-05-22-1-3b70fc7d412617eb97c6bdc7d8fb7844
kmod-crypto-aes - 3.3.8-1-3b70fc7d412617eb97c6bdc7d8fb7844
kmod-crypto-arc4 - 3.3.8-1-3b70fc7d412617eb97c6bdc7d8fb7844
kmod-crypto-core - 3.3.8-1-3b70fc7d412617eb97c6bdc7d8fb7844
kmod-fs-ext4 - 3.3.8-1-3b70fc7d412617eb97c6bdc7d8fb7844
kmod-gpio-button-hotplug - 3.3.8-1-3b70fc7d412617eb97c6bdc7d8fb7844
kmod-ipt-bandwidth - 3.3.8-1-3b70fc7d412617eb97c6bdc7d8fb7844
kmod-ipt-conntrack - 3.3.8-1-3b70fc7d412617eb97c6bdc7d8fb7844
kmod-ipt-conntrack-extra - 3.3.8-1-3b70fc7d412617eb97c6bdc7d8fb7844
kmod-ipt-core - 3.3.8-1-3b70fc7d412617eb97c6bdc7d8fb7844
kmod-ipt-extra - 3.3.8-1-3b70fc7d412617eb97c6bdc7d8fb7844
kmod-ipt-filter - 3.3.8-1-3b70fc7d412617eb97c6bdc7d8fb7844
kmod-ipt-imq - 3.3.8-1-3b70fc7d412617eb97c6bdc7d8fb7844
kmod-ipt-ipopt - 3.3.8-1-3b70fc7d412617eb97c6bdc7d8fb7844
kmod-ipt-iprange - 3.3.8-1-3b70fc7d412617eb97c6bdc7d8fb7844
kmod-ipt-ipset - 3.3.8+6.11-2-3b70fc7d412617eb97c6bdc7d8fb7844
kmod-ipt-nat - 3.3.8-1-3b70fc7d412617eb97c6bdc7d8fb7844
kmod-ipt-nat-extra - 3.3.8-1-3b70fc7d412617eb97c6bdc7d8fb7844
kmod-ipt-nathelper - 3.3.8-1-3b70fc7d412617eb97c6bdc7d8fb7844
kmod-ipt-nathelper-extra - 3.3.8-1-3b70fc7d412617eb97c6bdc7d8fb7844
kmod-ipt-timerange - 3.3.8-1-3b70fc7d412617eb97c6bdc7d8fb7844
kmod-ipt-webmon - 3.3.8-1-3b70fc7d412617eb97c6bdc7d8fb7844
kmod-ipt-weburl - 3.3.8-1-3b70fc7d412617eb97c6bdc7d8fb7844
kmod-leds-gpio - 3.3.8-1-3b70fc7d412617eb97c6bdc7d8fb7844
kmod-ledtrig-default-on - 3.3.8-1-3b70fc7d412617eb97c6bdc7d8fb7844
kmod-ledtrig-netdev - 3.3.8-1-3b70fc7d412617eb97c6bdc7d8fb7844
kmod-ledtrig-timer - 3.3.8-1-3b70fc7d412617eb97c6bdc7d8fb7844
kmod-ledtrig-usbdev - 3.3.8-1-3b70fc7d412617eb97c6bdc7d8fb7844
kmod-lib-crc-ccitt - 3.3.8-1-3b70fc7d412617eb97c6bdc7d8fb7844
kmod-lib-crc16 - 3.3.8-1-3b70fc7d412617eb97c6bdc7d8fb7844
kmod-lib-textsearch - 3.3.8-1-3b70fc7d412617eb97c6bdc7d8fb7844
kmod-mac80211 - 3.3.8+2014-05-22-1-3b70fc7d412617eb97c6bdc7d8fb7844
kmod-nfnetlink - 3.3.8-1-3b70fc7d412617eb97c6bdc7d8fb7844
kmod-nls-base - 3.3.8-1-3b70fc7d412617eb97c6bdc7d8fb7844
kmod-ppp - 3.3.8-1-3b70fc7d412617eb97c6bdc7d8fb7844
kmod-pppoe - 3.3.8-1-3b70fc7d412617eb97c6bdc7d8fb7844
kmod-pppox - 3.3.8-1-3b70fc7d412617eb97c6bdc7d8fb7844
kmod-sched - 3.3.8-1-3b70fc7d412617eb97c6bdc7d8fb7844
kmod-sched-core - 3.3.8-1-3b70fc7d412617eb97c6bdc7d8fb7844
kmod-scsi-core - 3.3.8-1-3b70fc7d412617eb97c6bdc7d8fb7844
kmod-usb-acm - 3.3.8-1-3b70fc7d412617eb97c6bdc7d8fb7844
kmod-usb-core - 3.3.8-1-3b70fc7d412617eb97c6bdc7d8fb7844
kmod-usb-net - 3.3.8-1-3b70fc7d412617eb97c6bdc7d8fb7844
kmod-usb-net-cdc-ether - 3.3.8-1-3b70fc7d412617eb97c6bdc7d8fb7844
kmod-usb-net-cdc-ncm - 3.3.8-1-3b70fc7d412617eb97c6bdc7d8fb7844
kmod-usb-serial - 3.3.8-1-3b70fc7d412617eb97c6bdc7d8fb7844
kmod-usb-serial-option - 3.3.8-1-3b70fc7d412617eb97c6bdc7d8fb7844
kmod-usb-serial-sierrawireless - 3.3.8-1-3b70fc7d412617eb97c6bdc7d8fb7844
kmod-usb-serial-wwan - 3.3.8-1-3b70fc7d412617eb97c6bdc7d8fb7844
kmod-usb-storage - 3.3.8-1-3b70fc7d412617eb97c6bdc7d8fb7844
kmod-usb2 - 3.3.8-1-3b70fc7d412617eb97c6bdc7d8fb7844
kmod-wdt-ath79 - 3.3.8-1-3b70fc7d412617eb97c6bdc7d8fb7844
libbbtargz - 1.6.2.2-1
libblobmsg-json - 2013-10-19-734d28eb1a46358743cf8837c91e5d46695c3b91
libbz2 - 1.0.6-1
libc - 0.9.33.2-1
libcyassl - 1.6.5-1
libericstools - 1.6.2.2-1
libexif - 0.6.19-1
libffmpeg-mini - 0.8.7-2
libflac - 1.2.1-1
libgcc - 4.6-linaro-1
libid3tag - 0.15.1b-3
libip4tc - 1.4.10-5
libiptbwctl - 1.6.2.2-1
libjpeg - 6b-1
libjson-c - 0.11-2
libmnl - 1.0.1-1
libnfnetlink - 1.0.0-2
libnl-tiny - 0.1-3
libogg - 1.1.4-2
libpthread - 0.9.33.2-1
librt - 0.9.33.2-1
libsqlite3 - 3071201-1
libubox - 2013-10-19-734d28eb1a46358743cf8837c91e5d46695c3b91
libubus - 2013-08-08-b20a8a01c7faea5bcc9d34d10dcf7736589021b8
libuci - 2013-06-11.1-1
libusb-1.0 - 1.0.9-1
libuuid - 2.21.2-1
libvorbis - 1.2.3-1
libxtables - 1.4.10-5
minidlna - 1.0.24-1
miniupnpd - 1.8.20130426-2
mtd - 18.1
netifd - 2013-07-16-2674941b06c1ec67f1aff1bff9212e1372106641
opkg - 618-3
plugin-gargoyle-3ginfo - 20140217
plugin-gargoyle-i18n-English-EN - 1.0.0-1
plugin-gargoyle-i18n-Polish-PL - 1.0.0-1
plugin-gargoyle-initd - 20130903
plugin-gargoyle-logread - 20120724-4
plugin-gargoyle-minidlna - 20130707-1
plugin-gargoyle-ping-watchdog - 20131030
plugin-gargoyle-theme-blue-ice-c - 20140112-2
plugin-gargoyle-wifi-schedule - 1.1.2-2
ppp - 2.4.5-10
ppp-mod-pppoe - 2.4.5-10
qos-gargoyle - 1.6.2.2-1
samba36-server - 3.6.5-3
share-users - 1.6.2.2-1
swconfig - 10
tc - 3.3.0-2
ubus - 2013-08-08-b20a8a01c7faea5bcc9d34d10dcf7736589021b8
ubusd - 2013-08-08-b20a8a01c7faea5bcc9d34d10dcf7736589021b8
uci - 2013-06-11.1-1
usb-modeswitch - 2.2.0-1
usb-modeswitch-data - 20140529-1
vsftpd - 3.0.2-2
webmon-gargoyle - 1.6.2.2-1
wireless-tools - 29-5
wol - 0.7.1-2
wpad-mini - 20131120-1
zlib - 1.2.7-1

108

Odp: Instalacja pluginów dla routerów z 4MB flash i USB

opkg install kmod-fs-nfsd kmod-fs-nfs zrób.

Masz niepotrzebny router, uszkodzony czy nie - chętnie przygarnę go.

109 (edytowany przez gregl 2015-02-14 18:26:38)

Odp: Instalacja pluginów dla routerów z 4MB flash i USB

opkg install kmod-fs-nfsd kmod-fs-nfs
Installing kmod-fs-nfsd (3.3.8-1) to root...
Downloading http://downloads.openwrt.org/attitude_a … ar71xx.ipk.
Installing kmod-fs-nfs (3.3.8-1) to root...
Downloading http://downloads.openwrt.org/attitude_a … ar71xx.ipk.
Collected errors:
* satisfy_dependencies_for: Cannot satisfy the following dependencies for kmod-fs-nfsd:
*      kernel (= 3.3.8-1-d6597ebf6203328d3519ea3c3371a493) *   kernel (= 3.3.8-1-d6597ebf6203328d3519ea3c3371a493) *   kernel (= 3.3.8-1-d6597ebf6203328d3519ea3c3371a493) *
* opkg_install_cmd: Cannot install package kmod-fs-nfsd.
* satisfy_dependencies_for: Cannot satisfy the following dependencies for kmod-fs-nfs:
*      kernel (= 3.3.8-1-d6597ebf6203328d3519ea3c3371a493) *
* opkg_install_cmd: Cannot install package kmod-fs-nfs.



zmieniłem w opkg.conf na  src/gz attitude_adjustment http://dl.eko.one.pl/gargoyle-pl/attitu … x/packages

zrobiłem
# opkg update

opkg update
Downloading http://dl.eko.one.pl/gargoyle-pl/attitu … ackages.gz.
Updated list of available packages in /var/opkg-lists/attitude_adjustment.
Downloading http://dl.eko.one.pl/gargoyle-pl/attitu … ackages.gz.
Updated list of available packages in /var/opkg-lists/gargoylepl_plugins.

root@RouterLTE:~# opkg install opkg
Package opkg (618-3) installed in root is up to date.

root@RouterLTE:~# opkg install kmod-fs-nfsd kmod-fs-nfs
Installing kmod-fs-nfsd (3.3.8-1-3b70fc7d412617eb97c6bdc7d8fb7844) to root...
Downloading http://dl.eko.one.pl/gargoyle-pl/attitu … ar71xx.ipk.
Installing kmod-fs-nfs-common (3.3.8-1-3b70fc7d412617eb97c6bdc7d8fb7844) to root...
Downloading http://dl.eko.one.pl/gargoyle-pl/attitu … ar71xx.ipk.
Installing kmod-fs-exportfs (3.3.8-1-3b70fc7d412617eb97c6bdc7d8fb7844) to root...
Downloading http://dl.eko.one.pl/gargoyle-pl/attitu … ar71xx.ipk.
Installing kmod-fs-nfs (3.3.8-1-3b70fc7d412617eb97c6bdc7d8fb7844) to root...
Downloading http://dl.eko.one.pl/gargoyle-pl/attitu … ar71xx.ipk.
Configuring kmod-fs-nfs-common.
Configuring kmod-fs-exportfs.
Configuring kmod-fs-nfsd.
Configuring kmod-fs-nfs.

110

Odp: Instalacja pluginów dla routerów z 4MB flash i USB

No właśnie, ściągałeś z repo openwrt nie mojego.

Masz niepotrzebny router, uszkodzony czy nie - chętnie przygarnę go.

111

Odp: Instalacja pluginów dla routerów z 4MB flash i USB

Teraz mam pełnoprawny gargulec na tplinku smile
Czy plugin USB-Storage zamontuje mi podłączony dysk przez HUBa jeśli mam już wpiętego pendrive'a 8GB z exrootem?

112

Odp: Instalacja pluginów dla routerów z 4MB flash i USB

Tak, powinien go zobaczyć jako dodatkowy nośnik.

Masz niepotrzebny router, uszkodzony czy nie - chętnie przygarnę go.

113 (edytowany przez jarek.kawka 2015-11-21 20:38:19)

Odp: Instalacja pluginów dla routerów z 4MB flash i USB

Witam grono forumowiczów,
mam problem z moim TL MR-3220 v2.

Według tego wątku zrobiłem na nim exroota na pendrive 4GB, działa. Także wg. tego wątku zainstalowałem na nim "Nośnik USB" i tu działa połowicznie. Gdy podłączam pendriva (14GB NTFS) do hub'a zaczyna go widzieć i jest ok ale gdy podłącze do hub'a dysk HDD (1TB NTFS) przez kieszeń usb router sie resetuje i zaczynaja migać tylko dwie pierwsze ikonki i na tym się jego praca kończy. Gdy odepnę dysk HDD wszystko wraca do normy.

Na pokładzie jego jest: Gargoyle 1.6.2.2 (r42647)
Tak, HUB ma dodatkowe zasilanie.

Proszę o pomoc

Pozdrawiam

114

Odp: Instalacja pluginów dla routerów z 4MB flash i USB

Zmień hub, sprawdź czy jego zasilacz jest odpowiednio wydajny, sprawdź czy dysk nie daje napięcia na usb i powoduje jakieś zwarcie z hubem/routerem.

Masz niepotrzebny router, uszkodzony czy nie - chętnie przygarnę go.

115 (edytowany przez jarek.kawka 2015-11-21 21:09:41)

Odp: Instalacja pluginów dla routerów z 4MB flash i USB

Rzeczywiście coś z prądem, gdy podłącze hub'a bez dodatkowego prądu router startuje lecz dysk nie ma siły.
Kabel z dysku rozdwaja się przy końcu wtyczkę grubszą przez którą idą (mam nadzieję) dane podłączyłem do huba, a drugi wtyk (dodatkowe zasilanie) do laptopa - taki sam efekt jak przy podłączonym zasilaczu do hub'a.

Myślę że to coś z kieszenią...

//edit
chyba jednak coś z hubem, podłączyłem innego pendriva 8gb i znowu się nie włącza sad

116

Odp: Instalacja pluginów dla routerów z 4MB flash i USB

problem nie był związany ze sprzętem.

Te komendy rozwiązały problem:

uci set fstab.automount.anon_mount=0
uci commit fstab

117 (edytowany przez DRZaT 2016-05-11 02:38:13)

Odp: Instalacja pluginów dla routerów z 4MB flash i USB

Podczas wykonywania instrukcji pokazuje mi się taki błąd:

root@Gargoyle:~# /etc/init.d/portmap enable
-ash: /etc/init.d/portmap: not found

Oraz po ostatniej komendzie:

/etc/init.d/usb_storage start
/etc/rc.common: line 85: blkid: not found

Przy opkg update mam zkolei:

root@Gargoyle:~# opkg update
Downloading http://downloads.openwrt.org/attitude_adjustment/12.09/ar71xx/generi                c/packages/Packages.gz.
Updated list of available packages in /var/opkg-lists/attitude_adjustment.
Downloading http://dl.eko.one.pl/attitude_adjustment/ar71xx/packages/Packages.gz                .
Updated list of available packages in /var/opkg-lists/eko1.
Downloading http://dl.eko.one.pl/gargoyle-pl/attitude_adjustment/ar71xx/packages                /Packages.gz.
Updated list of available packages in /var/opkg-lists/gargoylepl_packages.
Downloading http://dl.eko.one.pl/gargoyle-pl/attitude_adjustment/ar71xx/plugins/                Packages.gz.
Updated list of available packages in /var/opkg-lists/gargoylepl_plugins.
Collected errors:
 * opkg_conf_parse_file: Duplicate src declaration (gargoylepl_plugins http://dl                .eko.one.pl/gargoyle-pl/attitude_adjustment/ar71xx/plugins). Skipping.

Dodatkowo też menu po lewej mam po angielsku, ale jak już kliknę jakąś zakładkę to resztę mam po polsku w środku. Musiałem coś po drodze sknocić. Extoot jest widoczny. Mam zakładkę "USB Storage", ale nie widzi innych dysków, podłączyłem przez aktywnego huba z zasilaczem z czterema wyjściami - w jednym jest pendrive 64MB - extroot, w drugim dysk zewnętrzny 2TB (również z własnym zasilaczem podpięty do gniazdka) oraz w trzecim pendrive 4Gb. Nie widzi nic poza extrootem.
Do tego dziwne te menu - część po polsku "logi systemowe", a reszta po angielsku:
http://prntscr.com/b2lyqk
Podobnie tu:
http://prntscr.com/b2lzus

118

Odp: Instalacja pluginów dla routerów z 4MB flash i USB

To co powyżej - nie zainstalowałeś wszystkiego co trzeba. Portmap jest zależnością nfs a ten pluginu usb-storage. Komunikat niżej - próbowałeś kilka razy to robić i masz podwójne wpisu w /etc/opkg.conf. Ostatnie - nie masz zainstalowanego pakietu z polskimi tłumaczeniami (i18n-polish-pl)

Zlikwiduj tego extroota, zrób wszystko jeszcze raz po kolei, ale jeden raz i nie ponawiaj poleceń,

Masz niepotrzebny router, uszkodzony czy nie - chętnie przygarnę go.

119

Odp: Instalacja pluginów dla routerów z 4MB flash i USB

Zresetowałem router pinezką i zrobiłem wszystko od nowa. Szło bez problemów aż do punktu:
opkg install nfs-kernel-server

Cały kod z tej sessji putty:

root@Gargoyle:~# opkg update
Downloading http://downloads.openwrt.org/attitude_adjustment/12.09/ar71xx/generic/packages/Packages.gz.
Updated list of available packages in /var/opkg-lists/attitude_adjustment.
Downloading http://dl.eko.one.pl/attitude_adjustment/ar71xx/packages/Packages.gz.
Updated list of available packages in /var/opkg-lists/eko1.
Downloading http://dl.eko.one.pl/gargoyle-pl/attitude_adjustment/ar71xx/packages/Packages.gz.
Updated list of available packages in /var/opkg-lists/gargoylepl_packages.
Downloading http://dl.eko.one.pl/gargoyle-pl/attitude_adjustment/ar71xx/plugins/Packages.gz.
Updated list of available packages in /var/opkg-lists/gargoylepl_plugins.
root@Gargoyle:~# opkg install plugin-gargoyle-usb-printer
Installing plugin-gargoyle-usb-printer (1.6.2.2-1) to root...
Downloading http://dl.eko.one.pl/gargoyle-pl/attitude_adjustment/ar71xx/plugins/plugin-gargoyle-usb-printer_1.6.2.2-1_all.ipk.
Multiple packages (kmod-usb-printer and kmod-usb-printer) providing same name marked HOLD or PREFER. Using latest.
Multiple packages (kmod-usb-printer and kmod-usb-printer) providing same name marked HOLD or PREFER. Using latest.
Multiple packages (kmod-usb-core and kmod-usb-core) providing same name marked HOLD or PREFER. Using latest.
Installing kmod-usb-printer (3.3.8-1-3b70fc7d412617eb97c6bdc7d8fb7844) to root...
Downloading http://dl.eko.one.pl/gargoyle-pl/attitude_adjustment/ar71xx/packages/kmod-usb-printer_3.3.8-1-3b70fc7d412617eb97c6bdc7d8fb7844_ar71xx.ipk.
Installing p910nd (0.95-2) to root...
Downloading http://dl.eko.one.pl/attitude_adjustment/ar71xx/packages/p910nd_0.95-2_ar71xx.ipk.
Configuring kmod-usb-printer.
Configuring p910nd.
Configuring plugin-gargoyle-usb-printer.
root@Gargoyle:~# /etc/init.d/p910nd enable
root@Gargoyle:~# opkg install share-users
Installing share-users (1.6.2.2-1) to root...
Downloading http://dl.eko.one.pl/gargoyle-pl/attitude_adjustment/ar71xx/plugins/share-users_1.6.2.2-1_ar71xx.ipk.
Configuring share-users.
root@Gargoyle:~# opkg install vsftpd
Installing vsftpd (3.0.2-2) to root...
Downloading http://dl.eko.one.pl/gargoyle-pl/attitude_adjustment/ar71xx/plugins/vsftpd_3.0.2-2_ar71xx.ipk.
Configuring vsftpd.
root@Gargoyle:~# opkg install samba36-server
Installing samba36-server (3.6.5-3) to root...
Downloading http://dl.eko.one.pl/gargoyle-pl/attitude_adjustment/ar71xx/plugins/samba36-server_3.6.5-3_ar71xx.ipk.
Configuring samba36-server.
root@Gargoyle:~# opkg install nfs-kernel-server
Installing nfs-kernel-server (1.2.6-1) to root...
Downloading http://dl.eko.one.pl/gargoyle-pl/attitude_adjustment/ar71xx/plugins/nfs-kernel-server_1.2.6-1_ar71xx.ipk.
Multiple packages (kmod-fs-nfsd and kmod-fs-nfsd) providing same name marked HOLD or PREFER. Using latest.
Multiple packages (kmod-fs-nfsd and kmod-fs-nfsd) providing same name marked HOLD or PREFER. Using latest.
Multiple packages (kmod-fs-nfs-common and kmod-fs-nfs-common) providing same name marked HOLD or PREFER. Using latest.
Multiple packages (kmod-fs-nfs-common and kmod-fs-nfs-common) providing same name marked HOLD or PREFER. Using latest.
Multiple packages (kmod-fs-exportfs and kmod-fs-exportfs) providing same name marked HOLD or PREFER. Using latest.
Multiple packages (kmod-fs-exportfs and kmod-fs-exportfs) providing same name marked HOLD or PREFER. Using latest.
Multiple packages (kmod-fs-nfs and kmod-fs-nfs) providing same name marked HOLD or PREFER. Using latest.
Multiple packages (kmod-fs-nfs and kmod-fs-nfs) providing same name marked HOLD or PREFER. Using latest.
Multiple packages (kmod-fs-nfs-common and kmod-fs-nfs-common) providing same name marked HOLD or PREFER. Using latest.
Multiple packages (kmod-fs-nfs-common and kmod-fs-nfs-common) providing same name marked HOLD or PREFER. Using latest.
Installing libwrap (7.6-1) to root...
Downloading http://downloads.openwrt.org/attitude_adjustment/12.09/ar71xx/generic/packages/libwrap_7.6-1_ar71xx.ipk.
Installing libblkid (2.21.2-1) to root...
Downloading http://dl.eko.one.pl/attitude_adjustment/ar71xx/packages/libblkid_2.21.2-1_ar71xx.ipk.
Configuring libwrap.
Collected errors:
 * opkg_install_pkg: Package libblkid md5sum mismatch. Either the opkg or the package index are corrupt. Try 'opkg update'.
 * opkg_install_cmd: Cannot install package nfs-kernel-server.

120

Odp: Instalacja pluginów dla routerów z 4MB flash i USB

W obu repo jest pakiet o takiej samej nazwie a innych sumach. Zrób reboot, nie rób opkg update tylko

opkg install http://dl.eko.one.pl/gargoyle-pl/attitude_adjustment/ar71xx/plugins/nfs-kernel-server_1.2.6-1_ar71xx.ipk

Jak zainstaluje - opkg update i jedziesz dalej.

Masz niepotrzebny router, uszkodzony czy nie - chętnie przygarnę go.

121

Odp: Instalacja pluginów dla routerów z 4MB flash i USB

 | WLAN: mode: ap, ssid: Gargoyle, channel: 11, conn: 0         |
 ----------------------------------------------------------------
root@Gargoyle:~# opkg install http://dl.eko.one.pl/gargoyle-pl/attitude_adjustment/ar71xx/plugins/nfs-kernel-server_1.2.6-1_ar71xx.ipk
Downloading http://dl.eko.one.pl/gargoyle-pl/attitude_adjustment/ar71xx/plugins/nfs-kernel-server_1.2.6-1_ar71xx.ipk.
Installing nfs-kernel-server (1.2.6-1) to root...
Installing libblkid (2.21.2-1) to root...
Collected errors:
 * opkg_download_pkg: Package libblkid is not available from any configured src.
 * opkg_install_pkg: Failed to download libblkid. Perhaps you need to run 'opkg update'?
 * opkg_install_cmd: Cannot install package nfs-kernel-server.
root@Gargoyle:~#
root@Gargoyle:~#

122

Odp: Instalacja pluginów dla routerów z 4MB flash i USB

Wcześniej zainstaluj libblkid, to jedna zależności nfs-kernel-server. Musisz opkg udpate zrobić, zainstalować, reboot itd.

Masz niepotrzebny router, uszkodzony czy nie - chętnie przygarnę go.

123 (edytowany przez DRZaT 2016-05-11 14:28:06)

Odp: Instalacja pluginów dla routerów z 4MB flash i USB

root@Gargoyle:~# opkg install http://dl.eko.one.pl/gargoyle-pl/attitude_adjustment/ar71xx/plugins/nfs-kernel-server_1.2.6-1_ar71xx.ipk
Downloading http://dl.eko.one.pl/gargoyle-pl/attitude_adjustment/ar71xx/plugins/nfs-kernel-server_1.2.6-1_ar71xx.ipk.
Installing nfs-kernel-server (1.2.6-1) to root...
Installing libblkid (2.21.2-1) to root...
Collected errors:
 * opkg_download_pkg: Package libblkid is not available from any configured src.
 * opkg_install_pkg: Failed to download libblkid. Perhaps you need to run 'opkg update'?
 * opkg_install_cmd: Cannot install package nfs-kernel-server.
root@Gargoyle:~#
root@Gargoyle:~#
root@Gargoyle:~# opkg update
Downloading http://downloads.openwrt.org/attitude_adjustment/12.09/ar71xx/generic/packages/Packages.gz.
Updated list of available packages in /var/opkg-lists/attitude_adjustment.
Downloading http://dl.eko.one.pl/attitude_adjustment/ar71xx/packages/Packages.gz.
Updated list of available packages in /var/opkg-lists/eko1.
Downloading http://dl.eko.one.pl/gargoyle-pl/attitude_adjustment/ar71xx/packages/Packages.gz.
Updated list of available packages in /var/opkg-lists/gargoylepl_packages.
Downloading http://dl.eko.one.pl/gargoyle-pl/attitude_adjustment/ar71xx/plugins/Packages.gz.
Updated list of available packages in /var/opkg-lists/gargoylepl_plugins.
root@Gargoyle:~# opkg install http://dl.eko.one.pl/attitude_adjustment/ar71xx/packages/libblkid_2.21.2-1_ar71xx.ipk
Downloading http://dl.eko.one.pl/attitude_adjustment/ar71xx/packages/libblkid_2.21.2-1_ar71xx.ipk.

I tak sobie wisi na tym downloading...
Ty też jesteś chwilami ze statusem "nieaktywny", może coś z serwerem?

124

Odp: Instalacja pluginów dla routerów z 4MB flash i USB

Serwer działa i ma się dobrze. I ten plik ściąga bez problemu.

Masz niepotrzebny router, uszkodzony czy nie - chętnie przygarnę go.

125

Odp: Instalacja pluginów dla routerów z 4MB flash i USB

No to chyba się poddam drugi raz, bo zrobiłem reboot, próbuje znów i znów to samo:
http://prntscr.com/b2s1xk

Jest jakieś wyjście czy może jednak najlepiej kupić nowy router z wmontowaną funkcją obsługi dysków?